UPSCALE_COND(1)

NAME
upscale_cond - Upscale electrical resistivity/conductivity

SYNOPSIS
upscale_cond [option value] [grid file] [J-function file 1] [J-function file 2] [J-function file 3] ...

DESCRIPTION
Reads in a lithofacies geometry in Eclipse format, reads in J(S_w) for each rock type, and calculates upscaled resistivity values for values of water saturation.

Example usage:

upscale_cond -bc p grid.grdecl Jfunc1.datan Jfunc2.data

OPTIONS
-bc Which boundary conditions to use. Possible values are p (periodic), f (fixed) or l (linear). Defaults to f.
-points Number of saturation points to upscale for, uniformly distributed. Defaults to 30.
-resistivityCutoff Cut-off value for resistivity. Defaults to 10000.
-lithologyCoeff Archie parameter. Defaults to 1.0.
-cementationExponent Archie parameter. Defaults to 1.8.
-saturationExponent Archie parameter. Defaults to 2.3.
-waterresistivity Resistivity of formation water.
-mudresistivity Resistivity of mud. Defaults to 1.4.
-mud1rocktype First mud rock type, 0 if there are no mud types. Defaults to 0.
-mud2rocktype Second mud rock type. Defaults to 0.
-jFunctionCurve Which column in the supplied J-files corresponds to the J-function values. Defaults to 2.
-surfaceTension Surface tension in dynes/cm to use in J-function/Pc conversion. Defaults to 11.
-output Filename for where to write upscaled values.
-interpolate If supplied and > 1, the output will be interpolated using monotone cubic interpolation on a uniform grid with the specified number of points. Suggested value: 1000.
-rock<int>cemexp <float> Cementation exponent can be set on a per rocktype basis.
-rock<int>satexp <float> Saturation exponent can be set on a per rocktype basis.

REPORTING BUGS
Report on github repository <https://github.com/OPM/opm-upscaling/issues>

SEE ALSO
upscale_perm